Bug 1417277 - [abrt] PackageKit: g_malloc(): packagekitd killed by SIGABRT
Summary: [abrt] PackageKit: g_malloc(): packagekitd killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c3d254d7f3764ec50bc4e48f5bf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 19:00 UTC by Marco Kundt
Modified: 2017-12-12 10:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:38:47 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.67 KB, text/plain)
2017-01-27 19:00 UTC, Marco Kundt
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-27 19:00 UTC, Marco Kundt
no flags Details
File: core_backtrace (6.18 KB, text/plain)
2017-01-27 19:00 UTC, Marco Kundt
no flags Details
File: dso_list (7.83 KB, text/plain)
2017-01-27 19:00 UTC, Marco Kundt
no flags Details
File: environ (258 bytes, text/plain)
2017-01-27 19:00 UTC, Marco Kundt
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-27 19:00 UTC, Marco Kundt
no flags Details
File: maps (37.25 KB, text/plain)
2017-01-27 19:00 UTC, Marco Kundt
no flags Details
File: mountinfo (3.66 KB, text/plain)
2017-01-27 19:00 UTC, Marco Kundt
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-27 19:00 UTC, Marco Kundt
no flags Details
File: open_fds (2.18 KB, text/plain)
2017-01-27 19:00 UTC, Marco Kundt
no flags Details
File: proc_pid_status (1.08 KB, text/plain)
2017-01-27 19:00 UTC, Marco Kundt
no flags Details
File: var_log_messages (12.70 KB, text/plain)
2017-01-27 19:00 UTC, Marco Kundt
no flags Details

Description Marco Kundt 2017-01-27 19:00:06 UTC
Version-Release number of selected component:
PackageKit-1.1.5-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/packagekitd
crash_function: g_malloc
executable:     /usr/libexec/packagekitd
global_pid:     1395
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 g_malloc at gmem.c:94
 #7 g_strconcat at gstrfuncs.c:585
 #8 lr_url_substitute at /usr/src/debug/librepo-librepo-1.7.18/librepo/url_substitution.c:136
 #9 lr_lrmirror_new at /usr/src/debug/librepo-librepo-1.7.18/librepo/lrmirrorlist.c:54
 #10 lr_lrmirrorlist_append_metalink at /usr/src/debug/librepo-librepo-1.7.18/librepo/lrmirrorlist.c:156
 #11 lr_handle_prepare_metalink at /usr/src/debug/librepo-librepo-1.7.18/librepo/handle.c:1039
 #12 lr_handle_prepare_internal_mirrorlist at /usr/src/debug/librepo-librepo-1.7.18/librepo/handle.c:1103
 #13 lr_handle_perform at /usr/src/debug/librepo-librepo-1.7.18/librepo/handle.c:1228
 #14 dnf_repo_check_internal at /usr/src/debug/PackageKit-1.1.5/libdnf-fe5a08bca7e2599798af7778917da2cc31f1460e/libdnf/dnf-repo.c:1119
 #15 dnf_repo_check at /usr/src/debug/PackageKit-1.1.5/libdnf-fe5a08bca7e2599798af7778917da2cc31f1460e/libdnf/dnf-repo.c:1238

Comment 1 Marco Kundt 2017-01-27 19:00:13 UTC
Created attachment 1245250 [details]
File: backtrace

Comment 2 Marco Kundt 2017-01-27 19:00:15 UTC
Created attachment 1245251 [details]
File: cgroup

Comment 3 Marco Kundt 2017-01-27 19:00:16 UTC
Created attachment 1245252 [details]
File: core_backtrace

Comment 4 Marco Kundt 2017-01-27 19:00:18 UTC
Created attachment 1245253 [details]
File: dso_list

Comment 5 Marco Kundt 2017-01-27 19:00:19 UTC
Created attachment 1245254 [details]
File: environ

Comment 6 Marco Kundt 2017-01-27 19:00:21 UTC
Created attachment 1245255 [details]
File: limits

Comment 7 Marco Kundt 2017-01-27 19:00:24 UTC
Created attachment 1245256 [details]
File: maps

Comment 8 Marco Kundt 2017-01-27 19:00:25 UTC
Created attachment 1245257 [details]
File: mountinfo

Comment 9 Marco Kundt 2017-01-27 19:00:29 UTC
Created attachment 1245258 [details]
File: namespaces

Comment 10 Marco Kundt 2017-01-27 19:00:32 UTC
Created attachment 1245259 [details]
File: open_fds

Comment 11 Marco Kundt 2017-01-27 19:00:34 UTC
Created attachment 1245260 [details]
File: proc_pid_status

Comment 12 Marco Kundt 2017-01-27 19:00:36 UTC
Created attachment 1245261 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 15:09:14 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:38:47 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.